> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deliveryman.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Campaign Replies

> Returns all reply data for the given campaign.



## OpenAPI

````yaml /openapi.yml get /api/v1/replies/
openapi: 3.1.1
info:
  title: DeliverymanAI API
  version: 1.0.0
  description: >-
    API documentation for DeliverymanAI, a Cold Email Management and Automation
    platform. This API provides endpoints for managing campaigns, contacts,
    email sequences, and related services.
servers:
  - url: https://api.deliveryman.ai
    description: Deliveryman API Server
security: []
paths:
  /api/v1/replies/:
    get:
      tags:
        - Replies
      summary: List all Campaign Replies
      description: Returns all reply data for the given campaign.
      operationId: replies_retrieve
      parameters:
        - in: query
          name: campaign_uid
          schema:
            type: string
          description: UID of Campaign to fetch replies from.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GetAllRepliesAPI'
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleMessageResponse'
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleMessageResponse'
          description: Not Found
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetAllRepliesAPI:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        schedule_id:
          type: integer
          readOnly: true
        mail_from:
          type:
            - string
            - 'null'
          maxLength: 500
        subject:
          type:
            - string
            - 'null'
        body_plain_text:
          type: string
          readOnly: true
        body_html:
          type: string
          readOnly: true
        reply_classification:
          oneOf:
            - $ref: '#/components/schemas/ReplyClassificationEnum'
            - $ref: '#/components/schemas/NullEnum'
        received_on:
          type: string
          format: date-time
          readOnly: true
      required:
        - body_html
        - body_plain_text
        - id
        - received_on
        - schedule_id
    SimpleMessageResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
    ReplyClassificationEnum:
      enum:
        - positive
        - neutral
        - negative
      type: string
      description: |-
        * `positive` - Positive
        * `neutral` - Neutral
        * `negative` - Negative
    NullEnum:
      type: 'null'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: 'Enter your API key in the format: X-Api-Key <your_key>'

````